%{?scl:%scl_package mcollective-facter-facts}
%{!?scl:%global pkg_name %{name}}

Summary: Puppetlabs Facter facts plugin
Name: %{?scl_prefix}mcollective-facter-facts
Version: 1.0.0
Release: 1%{?dist}
License: ASL 2.0
URL: http://projects.puppetlabs.com/projects/mcollective-plugins/wiki/FactsFacter
Vendor: Puppet Labs
Packager: P. Loubser <pieter.loubser@puppetlabs.com>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-facter-facts-1.0.0.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}facter 
Requires: %{?scl_prefix}mcollective-common >= 2.2.1

%description
Puppetlabs Facter facts plugin

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/facts

%{__install} -m0644 usr/libexec/mcollective/mcollective/facts/facter_facts.ddl %{buildroot}/%{_libexecdir}/mcollective/mcollective/facts/facter_facts.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/facts/facter_facts.rb %{buildroot}/%{_libexecdir}/mcollective/mcollective/facts/facter_facts.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/facts/facter_facts.ddl
%{_libexecdir}/mcollective/mcollective/facts/facter_facts.rb

%changelog
* Wed Feb 20 2013 P. Loubser <pieter.loubser@puppetlabs.com> - 1.0.0-1
- Built Package mcollective-facter-facts
